Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List Use this API to check the availability of agents based on specified skill IDs, queue IDs, and agent IDs. It checks whether digital channels are enabled for each agent and indicates which channels (such as Voice, Messaging, Email, Voicemail, and Live Chat) are enabled for them. Also, it provides per-channel interaction capacity metrics, including total capacity, used capacity, and available capacity.
MethodPOST
Endpointhttps://{{host}}/agentassist/api/v1/public/{{botId}}/agents/availability
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeConfiguration

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
botIdBotId or StreamId. You can access it from the App Settings page.string, required

Sample Request

curl --location 'https://{{host}}/agentassist/api/v1/public/{{botId}}/agents/availability' \
--header 'auth: {{jwt_token}}' \
--header 'Content-Type: application/json' \
--header 'accountId: {{accountId}}' \
--data '{
   "skillIds": ["68402981bfe0b8e53f7xxxxx"],
   "queueIds": ["qu-e30b539-dd3c-4e10-90a9-354a3e7xxxxx"],
   "agentIds": ["a-75b2b7b-674c-49d2-ad7a-8bce77cxxxxx"]
   
}'

Headers

HeaderDescriptionRequired/Optional
accountIdThe account ID associated with the API request.required
authJWT token for authentication.required

Body Parameters

ParameterDescriptionType
skillIdsAn array of skill IDs to check agent availability.string, optional
queueIdsAn array of queue IDs for filtering agents.string, optional
agentIdsAn array of specific agent IDs to check.string, optional

Sample Response

{
    "AVAILABLE": [
        {
            "_id": "a-75b2b7b-674c-49d2-ad7a-8bce77cxxxxx",
            "userId": "u-13b82e29-91a3-5092-a7ba-b92c852xxxxx",
            "firstName": "jane",
            "lastName": "doe",
            "emailId": "jane.doe@example.com",
            "customId": "#@$#%$^%&ABCDEF...Zabcdghijklmnopqrstuvwxyz01234xxxxx!#$%&'()*+",
            "phoneNumber": "",
            "isDigitalEnabled": true,
            "channelCapacity": {
                "liveChat": {
                    "isEnabled": true,
                    "totalCapacity": 3,
                    "usedCapacity": 0,
                    "availableCapacity": 3
                },
                "messaging": {
                    "isEnabled": true,
                    "totalCapacity": 3,
                    "usedCapacity": 0,
                    "availableCapacity": 3
                },
                "email": {
                    "isEnabled": true,
                    "totalCapacity": 3,
                    "usedCapacity": 0,
                    "availableCapacity": 3
                },
                "voice": {
                    "isEnabled": true,
                    "totalCapacity": 1,
                    "usedCapacity": 0,
                    "availableCapacity": 1
                },
                "voiceMail": {
                    "isEnabled": true,
                    "totalCapacity": 5,
                    "usedCapacity": 0,
                    "availableCapacity": 5
                }
            }
        }
    ],
    "BUSY": [],
    "OFFLINE": [],
    "AWAY": []
}

Response Body Parameters

ParameterDescriptionTypeExample
AVAILABLEList of agents currently available based on status, channel enablement, and capacity.array of objects
AVAILABLE._idUnique identifier for the agent record.stringa-75b2b7b-674c-49d2-ad7a-8bce77cxxxxx
AVAILABLE.userIdUnique identifier of the user.stringu-13b82e29-91a3-5092-a7ba-b92c852xxxxx
AVAILABLE.firstNameAgent’s first name.stringjane
AVAILABLE.lastNameAgent’s last name.stringdoe
AVAILABLE.emailIdAgent’s email address.stringjane.doe@example.com
AVAILABLE.customIdCustom identifier associated with the agent.string#@$#%$^%&ABCDEF...Zabcdghijklmnopqrstuvwxyz01234xxxxx!#$%&'()*+
AVAILABLE.phoneNumberAgent’s contact number.string12345xxxxx
AVAILABLE.isDigitalEnabledIndicates whether digital channels are enabled for the agent.booleantrue
AVAILABLE.channelCapacityContains channel-specific capacity and availability details.object
AVAILABLE.channelCapacity.liveChatCapacity details for Live Chat channel.object
AVAILABLE.channelCapacity.liveChat.isEnabledIndicates whether the channel is enabled for the agent.booleantrue
AVAILABLE.channelCapacity.liveChat.totalCapacityTotal configured capacity for the channel.number3
AVAILABLE.channelCapacity.liveChat.usedCapacityNumber of active interactions currently handled by the agent.number0
AVAILABLE.channelCapacity.liveChat.availableCapacityRemaining capacity available for new interactions.number3
AVAILABLE.channelCapacity.messagingCapacity details for Messaging channel.object
AVAILABLE.channelCapacity.messaging.isEnabledIndicates whether the channel is enabled for the agent.booleantrue
AVAILABLE.channelCapacity.messaging.totalCapacityTotal configured capacity for the channel.number3
AVAILABLE.channelCapacity.messaging.usedCapacityNumber of active interactions currently handled by the agent.number0
AVAILABLE.channelCapacity.messaging.availableCapacityRemaining capacity available for new interactions.number3
AVAILABLE.channelCapacity.emailCapacity details for email channel.object
AVAILABLE.channelCapacity.email.isEnabledIndicates whether the channel is enabled for the agent.booleantrue
AVAILABLE.channelCapacity.email.totalCapacityTotal configured capacity for the channel.number3
AVAILABLE.channelCapacity.email.usedCapacityNumber of active interactions currently handled by the agent.number0
AVAILABLE.channelCapacity.email.availableCapacityRemaining capacity available for new interactions.number3
AVAILABLE.channelCapacity.voiceCapacity details for voice channel.object
AVAILABLE.channelCapacity.voice.isEnabledIndicates whether the channel is enabled for the agent.booleantrue
AVAILABLE.channelCapacity.voice.totalCapacityTotal configured capacity for the channel.number3
AVAILABLE.channelCapacity.voice.usedCapacityNumber of active interactions currently handled by the agent.number0
AVAILABLE.channelCapacity.voice.availableCapacityRemaining capacity available for new interactions.number3
AVAILABLE.channelCapacity.voiceMailCapacity details for voiceMail channel.object
AVAILABLE.channelCapacity.voiceMail.isEnabledIndicates whether the channel is enabled for the agent.booleantrue
AVAILABLE.channelCapacity.voiceMail.totalCapacityTotal configured capacity for the channel.number3
AVAILABLE.channelCapacity.voiceMail.usedCapacityNumber of active interactions currently handled by the agent.number0
AVAILABLE.channelCapacity.voiceMail.availableCapacityRemaining capacity available for new interactions.number3
BUSYList of agents currently engaged and not available for new interactions.array of objects
OFFLINEList of agents who are offline.array of objects
AWAYList of agents marked as away or inactive.array of objects